%global fontname gdouros-aegyptus
%global fontconf 65-%{fontname}.conf
%global checkout 20150618

Name:           %{fontname}-fonts
Version:        5.03
Release:        0.4.%{checkout}%{?dist}
Summary:        A font for Egyptian hieroglyphs

License:        Public Domain
URL:            http://users.teilar.gr/~g1951d/
Source0:        http://users.teilar.gr/~g1951d/Aegyptus.zip
Source1:        http://users.teilar.gr/~g1951d/Aegyptus.pdf
Source2:        %{name}-fontconfig.conf
Source3:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Aegyptus contains an Extended List of 7062 Egyptian Hieroglyphs, in regular and
bold font weights.

There is no standard for Egyptian Hieroglyphs or Meroitic, so they are
allocated in the Supplementary Private Use Plane 15. The fonts also cover Basic
Latin and some Punctuation and other Symbols.

They were created by George Douros, mainly based on the book Hieroglyphica,
PIREI I², 2000 and the work of Alan Gardiner.

%prep
%setup -q -c
cp -p %{SOURCE1} .

%build

%install
rm -f *_hint.ttf
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml


%_font_pkg -f %{fontconf} *.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml
%doc *.pdf

%changelog
* Fri Jun 19 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 5.03-0.4.20150618
- Rebuilt for 20150618 silent upstream update

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.03-0.3.20150430
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 30 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 5.03-0.2.20150430
- Change naming scheme to cope with upstream's silent updates and internal versions
- Drop Gardiner and Nilus fonts

* Thu Apr 02 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 5.03-2
- Merge the documentation back into the font package
- Update Nilus font to 5.11

* Thu Apr 02 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 5.03-1
- 5.03 bump
- Upstream has split the font into three parts; they are all included now
- Add metainfo file to show this font in gnome-software
- Add separate source packages for documentation
- Change license to Public Domain

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 23 2010 Robin Sonefors <ozamosi@flukkost.nu> 3.11-1
- New upstream version

* Thu Jan 14 2010 Robin Sonefors <ozamosi@flukkost.nu> 3.10-1
- New upstream version

* Wed Oct 21 2009 Robin Sonefors <ozamosi@flukkost.nu> 2.52-1
- Initial package
